### Signal

# SpiceClientGLib MainChannel::migration-started

#### Declaration

    void
    migration_started (
      SpiceMainChannel* self,
      GObject* session,
      gpointer user_data
    )

#### Description [src]

Inform when migration is starting. Application wishing to make connections themself can set the `SpiceSession:client-sockets` to `TRUE`, then follow `SpiceSession::channel-new` creation, and use `spice_channel_open_fd()` once the socket is created.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`session`

  Type: `GObject`

  A migration `SpiceSession`.

  The data is owned by the caller of the function.